pqxx::deadlock_detected Class Reference
Exception classes

The ongoing transaction has deadlocked. Retrying it may help. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::deadlock_detected:
[legend]

## Public Member Functions

| deadlock_detected (const std::string &)
Public Member Functions inherited from pqxx::transaction_rollback
| transaction_rollback (const std::string &)
Public Member Functions inherited from pqxx::failure
| failure (const std::string &)
Public Member Functions inherited from pqxx::pqxx_exception
virtual | ~pqxx_exception () noexcept=0
| Support run-time polymorphism, and keep this class abstract. More...

## Detailed Description

The ongoing transaction has deadlocked. Retrying it may help.

## Constructor & Destructor Documentation

## deadlock_detected()

pqxx::deadlock_detected::deadlock_detected | ( | const std::string & | whatarg | ) |

explicit

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx